List Membership Usage
curl --request GET \
--url https://api.decodahealth.com/inventory/memberships/{membership_id}/usage \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/memberships/{membership_id}/usage"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/memberships/{membership_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"patientId": "<string>",
"membershipId": "<string>",
"membership": {
"name": "<string>",
"price": 123,
"id": "<string>",
"externalId": "<string>",
"description": "<string>",
"globalDiscountPercentage": 0,
"patientCreditAmount": 0,
"patientCreditFrequency": "MONTHLY",
"patientCreditExpiryDays": 123,
"maxRenewals": 0,
"autoRenew": true,
"setupFee": 0,
"freezeFee": 0,
"minimumBillingCycles": 0,
"billingFrequency": "MONTHLY",
"textColor": "<string>",
"isArchived": false,
"ruleSetId": "<string>",
"discounts": [
{
"membershipId": "<string>",
"id": "<string>",
"itemId": "<string>",
"itemCategory": "<string>",
"isPhysical": true,
"discountPercentage": 123,
"discountAmount": 123,
"creditAmount": 123,
"quantity": 123,
"rollover": false,
"rolloverExpiryDays": 123,
"neverExpire": false,
"group": "<string>",
"isArchived": false
}
],
"memberCount": 0,
"totalRevenue": 0
},
"startDate": "2023-11-07T05:31:56Z",
"autoRenew": true,
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
},
"charges": [
{
"id": "<string>",
"patientId": "<string>"
}
],
"soldByProviderId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"nextBillingDate": "2023-11-07T05:31:56Z",
"unfreezeDate": "2023-11-07T05:31:56Z",
"soldByProvider": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"paymentMethod": {
"id": "<string>",
"patientId": "<string>",
"rainforestPaymentMethodId": "<string>",
"brand": "<string>",
"last4": "<string>",
"expMonth": 123,
"expYear": 123,
"accountHolderType": "<string>",
"accountNumberLast4": 123,
"bankName": "<string>",
"routingNumber": 123,
"description": "<string>",
"isDefault": false,
"isArchived": false
},
"logs": [
{
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
List Membership Usage
List all members of a specific membership.
GET
/
inventory
/
memberships
/
{membership_id}
/
usage
List Membership Usage
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
Filter by member status
Filter by patient name
Filter by start date
Page number
Items per page
Sort by field
Sort direction (asc/desc)
⌘I
